org.eclipse.microprofile.metrics.tck.metrics

## Class CounterFieldBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.CounterFieldBeanTest

    public class CounterFieldBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CounterFieldBeanTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `counterFieldRegistered()`
`static org.jboss.shrinkwrap.api.Archive<?>` `createTestArchive()`
`void` `incrementCounterField()`
`void` `instantiateTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterFieldBeanTest

    public CounterFieldBeanTest()

### Method Detail

#### createTestArchive

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createTestArchive()

#### instantiateTest

    public void instantiateTest()

#### counterFieldRegistered

    @InSequence(value=1)
    public void counterFieldRegistered()

#### incrementCounterField

    @InSequence(value=2)
    public void incrementCounterField()